Project

General

Profile

Bug #2800

gmx analyze cannot use lmfit

Added by Magnus Lundborg 6 months ago. Updated 6 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
analysis tools
Target version:
Affected version - extra info:
Affected version:
Difficulty:
uncategorized
Close

Description

When using the -fitfn option of gmx analyze I get:

Fatal error:
This build of GROMACS was not configured with support for lmfit, so the
requested fitting cannot be performed. See the install guide for instructions
on how to build GROMACS with lmfit supported.

I've tried building GROMACS both with the default (internal) and with an external 7.0 version of lmfit, but it does not seem to make any difference.

Associated revisions

Revision 07ea0377 (diff)
Added by Magnus Lundborg 6 months ago

Set HAVE_LMFIT properly

The HAVE_LMFIT was only set in the local scope.
Fixes #2800

Change-Id: I34bd3dc1896526c09c6808c7020d3a492c4c8f31

History

#1 Updated by Gerrit Code Review Bot 6 months ago

Gerrit received a related patchset '1' for Issue #2800.
Uploader: Magnus Lundborg ()
Change-Id: gromacs~release-2019~I34bd3dc1896526c09c6808c7020d3a492c4c8f31
Gerrit URL: https://gerrit.gromacs.org/8810

#2 Updated by Paul Bauer 6 months ago

The fix seems fine to me, but can you upload a minimal test case as well?
So we may be able to add another unit test

#3 Updated by Paul Bauer 6 months ago

  • Status changed from New to Fix uploaded

#4 Updated by Magnus Lundborg 6 months ago

  • Status changed from Fix uploaded to Resolved

#5 Updated by Paul Bauer 6 months ago

  • Status changed from Resolved to Closed

Also available in: Atom PDF